Method: projects.locations.impacts.list

Lists impacts under a given project and location.

HTTP request

GET https://servicehealth.googleapis.com/v1beta/{parent=projects/*/locations/*}/impacts

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListImpactsRequest eg: "projects/{projectId}/locations/{location}"

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of results to return. The service may return fewer results than this value. If unspecified, server will pick an appropriate default. Maximum value is 100.

pageToken

string

Optional. A token identifying a page of results the server should return. Provide Page token returned by a previous 'impacts.list' call to retrieve the next page of results. When paginating, all other parameters provided to 'impacts.list' must match the call that provided the page token.

filter

string

Optional. A filter expression that filters resources listed in the response. The expression is in the form of field=value.

Request body

The request body must be empty.

Response body

Message for response to listing impacts.

If successful, the response body contains data with the following structure:

JSON representation
{
  "impacts": [
    {
      object (Impact)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
impacts[]

object (Impact)

Output only. List of impacts.

nextPageToken

string

Output only. The continuation token, used to page through large result sets. Provide this value in a subsequent request as pageToken in subsequent requests to retrieve the next page. If this field is not present, there are no subsequent results.

unreachable[]

string

Output only. Unordered list. Locations that could not be reached.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/servicehealth.readonly
  • https://www.googleapis.com/auth/servicehealth
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.